%define upstream_name	 Authen-PAM
%define upstream_version 0.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 25

Summary:	Perl interface to the PAM library
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Authen/%{upstream_name}-%{upstream_version}.tar.bz2
Patch0:         Authen-PAM-0.16-Fix-building-on-Perl-without-dot-in-INC.patch

BuildRequires:	pam-devel
BuildRequires:  perl-devel


%description
The Authen::PAM module provides a Perl interface to the PAM library.
The only difference with the standard PAM interface is that the perl
one is simpler.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%files
%doc README Changes
%{_mandir}/*/*
%{perl_vendorarch}/auto/Authen/*
%{perl_vendorarch}/Authen/*


%changelog
* Wed Jun 17 2020 umeabot <umeabot> 0.160.0-25.mga8
+ Revision: 1594265
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.160.0-24.mga8
+ Revision: 1528733
- Mageia 8 Mass Rebuild

* Mon Aug 26 2019 tmb <tmb> 0.160.0-23.mga8
+ Revision: 1432565
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.160.0-22.mga7
+ Revision: 1292351
- Mageia 7 Mass Rebuild

* Sat Aug 04 2018 tmb <tmb> 0.160.0-21.mga7
+ Revision: 1247390
- rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.160.0-20.mga7
+ Revision: 1163143
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.160.0-19.mga7
+ Revision: 1148645
- Rebuild for perl ABI changes

* Sun Jul 23 2017 tv <tv> 0.160.0-18.mga7
+ Revision: 1129398
- fix build with perl 5.26
- rebuild for perl 5.26 + use std macros
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 0.160.0-16.mga6
+ Revision: 1022612
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.160.0-15.mga6
+ Revision: 956734
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 tv <tv> 0.160.0-14.mga6
+ Revision: 846048
- rebuild for soname-ifed perl

* Fri Jun 26 2015 tv <tv> 0.160.0-13.mga6
+ Revision: 844732
- rebuild for soname-ifed perl

* Tue Jun 23 2015 tv <tv> 0.160.0-12.mga6
+ Revision: 841127
- rebuild for perl-5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.160.0-11.mga5
+ Revision: 747478
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.160.0-10.mga5
+ Revision: 683571
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.160.0-9.mga5
+ Revision: 630817
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.160.0-8.mga4
+ Revision: 524720
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.160.0-7.mga4
+ Revision: 431372
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-6.mga3
+ Revision: 363240
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.160.0-5.mga3
+ Revision: 250272
- rebuild for perl 5.16

* Sat Jun 11 2011 jquelin <jquelin> 0.160.0-4.mga2
+ Revision: 103455
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.160.0-3.mga1
+ Revision: 32724
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.160.0-2.mga1
+ Revision: 29801
- mageia rebuild
- imported package perl-Authen-PAM


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 0.160.0-2mdv2011.0
+ Revision: 564358
- rebuild for perl 5.12.1

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.160.0-1mdv2010.1
+ Revision: 406837
- rebuild using %%perl_convert_version

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.16-6mdv2009.1
+ Revision: 351671
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.16-5mdv2009.0
+ Revision: 223565
- rebuild

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 0.16-4mdv2008.1
+ Revision: 151345
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Aug 20 2007 Thierry Vignaud <tv@mandriva.org> 0.16-3mdv2008.0
+ Revision: 67587
- rebuild


* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 0.16-2mdv2007.0
+ Revision: 108547
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Authen-PAM

* Tue Oct 04 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.16-1mdk
- 0.16
- fix url

* Sat Jun 11 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.15-2mdk
- Rebuild

* Wed Nov 24 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.15-1mdk
- 1.15

* Fri Nov 12 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.14-5mdk
- Rebuild for new perl

* Wed Apr 14 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.14-4mdk
- rebuild for new perl

